{% extends 'profile/layouts/admin/admin_layout.html' %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page"><a href="{% url 'profile:admin_agenda' %}">Agenda</a></li>
            <li class="breadcrumb-item active" aria-current="page">{% if edit %}Ubah{% else %}Tambah{% endif %}</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}
    
    <div class="card shadow mb-5">
        <h5 class="card-header">{% if edit %}Ubah{% else %}Tambah{% endif %} Agenda</h5>
        <div class="card-body">
            {% if edit %}
                {% if agenda %}
                    {% include 'profile/admin/agenda/form.html' %}
                {% else %}
                    <h1>AGENDA TIDAK DITEMUKAN</h1>
                {% endif %}
            {% else %}
                {% include 'profile/admin/agenda/form.html' %}
            {% endif %}
        </div>
    </div>
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}